CVE-2006-2871
CVSS7.5
发布时间 :2006-06-06 16:06:00
修订时间 :2008-09-05 17:05:39
NMCO    

[原文]** DISPUTED ** PHP remote file inclusion vulnerability in include/common.php in CyBoards PHP Lite 1.25 allows remote attackers to execute arbitrary PHP code via a URL in the script_path parameter. NOTE: CVE disputes this issue, since $script_path is set to a constant value.


[CNNVD]CyBoards PHP Lite common.php 远程文件包含漏洞(CNNVD-200606-137)

        Cyboards PHP Lite是一款基于WEB的论坛程。
        Cyboards PHP Lite的common.php文件中存在远程文件包含漏洞,远程攻击者可能利用此漏洞在服务器上执行任意命令。
        相关的漏洞代码如下:
        include("/home/www/forums/include/config.php");
        include($script_path."/db/mysql.php");
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2871
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2871
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-137
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/26962
(UNKNOWN)  XF  cyboards-common-file-include(26962)
http://www.securityfocus.com/bid/18272
(UNKNOWN)  BID  18272
http://www.securityfocus.com/archive/1/archive/1/435977/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060604 CyBoards PHP Lite v1.25 (common.PHP) Remote File Inclusion
http://www.osvdb.org/26596
(UNKNOWN)  OSVDB  26596
http://www.attrition.org/pipermail/vim/2007-April/001510.html
(UNKNOWN)  VIM  20070412 dispute: older CyBoards common.php RFI (CVE-2006-2871)
http://securitytracker.com/id?1016225
(UNKNOWN)  SECTRACK  1016225
http://securityreason.com/securityalert/1051
(UNKNOWN)  SREASON  1051

- 漏洞信息

CyBoards PHP Lite common.php 远程文件包含漏洞
高危 输入验证
2006-06-06 00:00:00 2007-08-13 00:00:00
远程  
        Cyboards PHP Lite是一款基于WEB的论坛程。
        Cyboards PHP Lite的common.php文件中存在远程文件包含漏洞,远程攻击者可能利用此漏洞在服务器上执行任意命令。
        相关的漏洞代码如下:
        include("/home/www/forums/include/config.php");
        include($script_path."/db/mysql.php");
        

- 公告与补丁

        厂商补丁:
        Cyboards
        --------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.gold-sonata.com/index.phtml?content=script/forums&menu=script
厂商补丁:
        Cyboards
        --------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.gold-sonata.com/index.phtml?content=script/forums&menu=script

- 漏洞信息

26596
CyBoards PHP Lite common.php script_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Third-party Disputed

- 漏洞描述

CyBoards PHP Lite has been reported to contain a flaw that may allow a remote attacker to execute arbitrary commands. The issue is supposedly due to the common.php script not properly sanitizing user input supplied to the 'script_path' parameter. Subsequent evaluation by SecurityTracker indicates the "'/include/common.php' script includes the '/include/config.php' script and that the 'include/config.php' script defines the $script_path parameter to be a static path value". Thus, an attacker would not be able to control input to the variable making this a non-issue.

- 时间线

2006-06-04 Unknow
Unknow Unknow

- 解决方案

The vulnerability reported is incorrect. No solution required.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站